Bug 1647667 - CVE-2018-14651 glusterfs: glusterfs server exploitable via symlinks to relative paths [fedora-all]
Summary: CVE-2018-14651 glusterfs: glusterfs server exploitable via symlinks to relati...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 4.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On: 1644730 1644755
Blocks: CVE-2018-14651 1647663
TreeView+ depends on / blocked
 
Reported: 2018-11-08 05:18 UTC by Amar Tumballi
Modified: 2018-11-29 15:26 UTC (History)
11 users (show)

(edit)
Clone Of: 1644755
(edit)
Last Closed: 2018-11-29 15:26:23 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gluster.org Gerrit 21527 None None None 2018-11-08 05:18 UTC
Gluster.org Gerrit 21589 None Merged server: don't allow '/' in basename 2018-11-09 14:05 UTC

Description Amar Tumballi 2018-11-08 05:18:17 UTC
+++ This bug was initially created as a clone of Bug #1644755 +++

+++ This bug was initially created as a clone of Bug #1644730 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Siddharth Sharma on 2018-10-31 09:51:29 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1632557,1644730

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

--- Additional comment from Worker Ant on 2018-10-31 21:37:23 EDT ---

REVIEW: https://review.gluster.org/21527 (server: don't allow '/' in basename) posted (#1) for review on master by Amar Tumballi

--- Additional comment from Worker Ant on 2018-11-05 13:51:17 EST ---

REVIEW: https://review.gluster.org/21527 (server: don't allow '/' in basename) posted (#4) for review on master by Shyamsundar Ranganathan

--- Additional comment from Worker Ant on 2018-11-06 12:16:10 EST ---

REVIEW: https://review.gluster.org/21575 (server: don't allow '/' in basename) posted (#1) for review on release-5 by Amar Tumballi

--- Additional comment from Worker Ant on 2018-11-08 00:07:51 EST ---

REVISION POSTED: https://review.gluster.org/21575 (server: don't allow '/' in basename) posted (#2) for review on release-5 by Amar Tumballi

Comment 1 Worker Ant 2018-11-08 05:45:02 UTC
REVIEW: https://review.gluster.org/21589 (server: don't allow '/' in basename) posted (#1) for review on release-4.1 by Amar Tumballi

Comment 2 Worker Ant 2018-11-09 14:05:44 UTC
REVIEW: https://review.gluster.org/21589 (server: don't allow '/' in basename) posted (#2) for review on release-4.1 by Shyamsundar Ranganathan

Comment 3 Shyamsundar 2018-11-29 15:26:23 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-4.1.6, please open a new bug report.

glusterfs-4.1.6 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2018-November/000116.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.